## obs-advanced-scene-switcher 1.19.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.3)

project(advanced-scene-switcher VERSION 1.0.0)
set(LIB_NAME "${PROJECT_NAME}-lib")
add_library(${PROJECT_NAME} MODULE)
add_library(${LIB_NAME} SHARED)

set(PLUGIN_AUTHOR "WarmUpTill")
set(MACOS_BUNDLEID "com.warmuptill.${PROJECT_NAME}")
set(LINUX_MAINTAINER_EMAIL "noone@nothing.com")
set(MACOS_PACKAGE_UUID "3F0D2A6A-2583-11ED-861D-0242AC120002")
set(MACOS_INSTALLER_UUID "B7F15A6E-2583-11ED-861D-0242AC120002")
set(WINDOWS_INSTALLER_UUID "A4ADDF26-4426-4D2E-B26A-C7C878DA8FC9")

message(STATUS "CMAKE_PROJECT_NAME is ${CMAKE_PROJECT_NAME}")
if(${CMAKE_PROJECT_NAME} STREQUAL "obs-studio")
  if(NOT DEFINED BUILD_OUT_OF_TREE)
    message(STATUS "${PROJECT_NAME} configured for in-tree build")
  endif()
else()
  set(BUILD_OUT_OF_TREE ON)
  message(STATUS "${PROJECT_NAME} configured for out-of-tree build")
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_SHA1)
git_describe(GIT_TAG)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/version.cpp.in"
               "${CMAKE_CURRENT_BINARY_DIR}/src/version.cpp" @ONLY)

# --- Set target sources ---

# Module sources
target_sources(${PROJECT_NAME} PRIVATE src/advanced-scene-switcher-module.c)

# Generic sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/advanced-scene-switcher.cpp
          src/advanced-scene-switcher.hpp
          src/general.cpp
          src/hotkey.cpp
          src/hotkey.hpp
          src/hotkey.hpp
          src/platform-funcs.hpp
          src/scene-group.cpp
          src/scene-group.hpp
          src/status-control.cpp
          src/status-control.hpp
          src/switcher-data-structs.cpp
          src/switcher-data-structs.hpp
          src/version.cpp
          src/version.h)

# Legacy function sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/legacy/scene-trigger.cpp
          src/legacy/scene-trigger.hpp
          src/legacy/switch-audio.cpp
          src/legacy/switch-audio.hpp
          src/legacy/switch-executable.cpp
          src/legacy/switch-executable.hpp
          src/legacy/switch-file.cpp
          src/legacy/switch-file.hpp
          src/legacy/switch-generic.cpp
          src/legacy/switch-generic.hpp
          src/legacy/switch-idle.cpp
          src/legacy/switch-idle.hpp
          src/legacy/switch-media.cpp
          src/legacy/switch-media.hpp
          src/legacy/switch-network.cpp
          src/legacy/switch-network.hpp
          src/legacy/switch-pause.cpp
          src/legacy/switch-pause.hpp
          src/legacy/switch-priority.cpp
          src/legacy/switch-random.cpp
          src/legacy/switch-random.hpp
          src/legacy/switch-screen-region.cpp
          src/legacy/switch-screen-region.hpp
          src/legacy/switch-sequence.cpp
          src/legacy/switch-sequence.hpp
          src/legacy/switch-time.cpp
          src/legacy/switch-time.hpp
          src/legacy/switch-transitions.cpp
          src/legacy/switch-transitions.hpp
          src/legacy/switch-video.cpp
          src/legacy/switch-video.hpp
          src/legacy/switch-window.cpp
          src/legacy/switch-window.hpp)

# Maro sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/macro-core/macro-action-audio.cpp
          src/macro-core/macro-action-audio.hpp
          src/macro-core/macro-action-edit.cpp
          src/macro-core/macro-action-edit.hpp
          src/macro-core/macro-action-file.cpp
          src/macro-core/macro-action-file.hpp
          src/macro-core/macro-action-filter.cpp
          src/macro-core/macro-action-filter.hpp
          src/macro-core/macro-action-hotkey.cpp
          src/macro-core/macro-action-hotkey.hpp
          src/macro-core/macro-action-http.cpp
          src/macro-core/macro-action-http.hpp
          src/macro-core/macro-action-macro.cpp
          src/macro-core/macro-action-macro.hpp
          src/macro-core/macro-action-media.cpp
          src/macro-core/macro-action-media.hpp
          src/macro-core/macro-action-plugin-state.cpp
          src/macro-core/macro-action-plugin-state.hpp
          src/macro-core/macro-action-profile.cpp
          src/macro-core/macro-action-profile.hpp
          src/macro-core/macro-action-random.cpp
          src/macro-core/macro-action-random.hpp
          src/macro-core/macro-action-recording.cpp
          src/macro-core/macro-action-recording.hpp
          src/macro-core/macro-action-replay-buffer.cpp
          src/macro-core/macro-action-replay-buffer.hpp
          src/macro-core/macro-action-run.cpp
          src/macro-core/macro-action-run.hpp
          src/macro-core/macro-action-scene-collection.cpp
          src/macro-core/macro-action-scene-collection.hpp
          src/macro-core/macro-action-scene-order.cpp
          src/macro-core/macro-action-scene-order.hpp
          src/macro-core/macro-action-scene-switch.cpp
          src/macro-core/macro-action-scene-switch.hpp
          src/macro-core/macro-action-scene-transform.cpp
          src/macro-core/macro-action-scene-transform.hpp
          src/macro-core/macro-action-scene-visibility.cpp
          src/macro-core/macro-action-scene-visibility.hpp
          src/macro-core/macro-action-screenshot.cpp
          src/macro-core/macro-action-screenshot.hpp
          src/macro-core/macro-action-sequence.cpp
          src/macro-core/macro-action-sequence.hpp
          src/macro-core/macro-action-source.cpp
          src/macro-core/macro-action-source.hpp
          src/macro-core/macro-action-streaming.cpp
          src/macro-core/macro-action-streaming.hpp
          src/macro-core/macro-action-studio-mode.cpp
          src/macro-core/macro-action-studio-mode.hpp
          src/macro-core/macro-action-systray.cpp
          src/macro-core/macro-action-systray.hpp
          src/macro-core/macro-action-timer.cpp
          src/macro-core/macro-action-timer.hpp
          src/macro-core/macro-action-transition.cpp
          src/macro-core/macro-action-transition.hpp
          src/macro-core/macro-action-variable.cpp
          src/macro-core/macro-action-variable.hpp
          src/macro-core/macro-action-virtual-cam.cpp
          src/macro-core/macro-action-virtual-cam.hpp
          src/macro-core/macro-action-wait.cpp
          src/macro-core/macro-action-wait.hpp
          src/macro-core/macro-action-websocket.cpp
          src/macro-core/macro-action-websocket.hpp
          src/macro-core/macro-action.cpp
          src/macro-core/macro-action.hpp
          src/macro-core/macro-condition-audio.cpp
          src/macro-core/macro-condition-audio.hpp
          src/macro-core/macro-condition-cursor.cpp
          src/macro-core/macro-condition-cursor.hpp
          src/macro-core/macro-condition-date.cpp
          src/macro-core/macro-condition-date.hpp
          src/macro-core/macro-condition-edit.cpp
          src/macro-core/macro-condition-edit.hpp
          src/macro-core/macro-condition-file.cpp
          src/macro-core/macro-condition-file.hpp
          src/macro-core/macro-condition-filter.cpp
          src/macro-core/macro-condition-filter.hpp
          src/macro-core/macro-condition-hotkey.cpp
          src/macro-core/macro-condition-hotkey.hpp
          src/macro-core/macro-condition-idle.cpp
          src/macro-core/macro-condition-idle.hpp
          src/macro-core/macro-condition-macro.cpp
          src/macro-core/macro-condition-macro.hpp
          src/macro-core/macro-condition-media.cpp
          src/macro-core/macro-condition-media.hpp
          src/macro-core/macro-condition-obs-stats.cpp
          src/macro-core/macro-condition-obs-stats.hpp
          src/macro-core/macro-condition-plugin-state.cpp
          src/macro-core/macro-condition-plugin-state.hpp
          src/macro-core/macro-condition-process.cpp
          src/macro-core/macro-condition-process.hpp
          src/macro-core/macro-condition-profile.cpp
          src/macro-core/macro-condition-profile.hpp
          src/macro-core/macro-condition-recording.cpp
          src/macro-core/macro-condition-recording.hpp
          src/macro-core/macro-condition-replay-buffer.cpp
          src/macro-core/macro-condition-replay-buffer.hpp
          src/macro-core/macro-condition-scene-order.cpp
          src/macro-core/macro-condition-scene-order.hpp
          src/macro-core/macro-condition-scene-transform.cpp
          src/macro-core/macro-condition-scene-transform.hpp
          src/macro-core/macro-condition-scene-visibility.cpp
          src/macro-core/macro-condition-scene-visibility.hpp
          src/macro-core/macro-condition-scene.cpp
          src/macro-core/macro-condition-scene.hpp
          src/macro-core/macro-condition-source.cpp
          src/macro-core/macro-condition-source.hpp
          src/macro-core/macro-condition-streaming.cpp
          src/macro-core/macro-condition-streaming.hpp
          src/macro-core/macro-condition-studio-mode.cpp
          src/macro-core/macro-condition-studio-mode.hpp
          src/macro-core/macro-condition-timer.cpp
          src/macro-core/macro-condition-timer.hpp
          src/macro-core/macro-condition-transition.cpp
          src/macro-core/macro-condition-transition.hpp
          src/macro-core/macro-condition-variable.cpp
          src/macro-core/macro-condition-variable.hpp
          src/macro-core/macro-condition-virtual-cam.cpp
          src/macro-core/macro-condition-virtual-cam.hpp
          src/macro-core/macro-condition-websocket.cpp
          src/macro-core/macro-condition-websocket.hpp
          src/macro-core/macro-condition-window.cpp
          src/macro-core/macro-condition-window.hpp
          src/macro-core/macro-condition.cpp
          src/macro-core/macro-condition.hpp
          src/macro-core/macro-list-entry-widget.cpp
          src/macro-core/macro-list-entry-widget.hpp
          src/macro-core/macro-properties.cpp
          src/macro-core/macro-properties.hpp
          src/macro-core/macro-ref.cpp
          src/macro-core/macro-ref.hpp
          src/macro-core/macro-segment-list.cpp
          src/macro-core/macro-segment-list.hpp
          src/macro-core/macro-segment.cpp
          src/macro-core/macro-segment.hpp
          src/macro-core/macro-selection.cpp
          src/macro-core/macro-selection.hpp
          src/macro-core/macro-tab.cpp
          src/macro-core/macro.cpp
          src/macro-core/macro.hpp)

# Utility function sources
target_sources(
  ${LIB_NAME}
  PRIVATE src/utils/connection-manager.cpp
          src/utils/connection-manager.hpp
          src/utils/curl-helper.cpp
          src/utils/curl-helper.hpp
          src/utils/duration-control.cpp
          src/utils/duration-control.hpp
          src/utils/item-selection-helpers.cpp
          src/utils/item-selection-helpers.hpp
          src/utils/file-selection.cpp
          src/utils/file-selection.hpp
          src/utils/macro-list.cpp
          src/utils/macro-list.hpp
          src/utils/name-dialog.cpp
          src/utils/name-dialog.hpp
          src/utils/regex-config.cpp
          src/utils/regex-config.hpp
          src/utils/resizing-text-edit.cpp
          src/utils/resizing-text-edit.hpp
          src/utils/scene-item-selection.cpp
          src/utils/scene-item-selection.hpp
          src/utils/scene-selection.cpp
          src/utils/scene-selection.hpp
          src/utils/screenshot-helper.cpp
          src/utils/screenshot-helper.hpp
          src/utils/section.cpp
          src/utils/section.hpp
          src/utils/transition-selection.cpp
          src/utils/transition-selection.hpp
          src/utils/utility.cpp
          src/utils/utility.hpp
          src/utils/variable.cpp
          src/utils/variable.hpp
          src/utils/volume-control.cpp
          src/utils/volume-control.hpp
          src/utils/websocket-helpers.cpp
          src/utils/websocket-helpers.hpp)

# --- End of section ---

if(BUILD_OUT_OF_TREE)
  include(cmake/ObsPluginHelpers.cmake)
endif()
include(cmake/AdvSSHelpers.cmake)
setup_obs_lib_dependency(${LIB_NAME})

=== src/macro-external/opencv/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher-opencv)

# --- Check OpenCV requirements ---

find_package(OpenCV)
if(NOT OpenCV_FOUND)
  message(
    WARNING
      "OpenCV not found! Video condition will be disabled!\nOpenCV sources are available under: ${CMAKE_CURRENT_SOURCE_DIR}/../../../deps/opencv"
  )
  return()
endif()

# --- End of section ---

add_library(advanced-scene-switcher-opencv MODULE)
target_sources(
  ${PROJECT_NAME}
  PRIVATE area-selection.cpp
          area-selection.hpp
          macro-condition-video.cpp
          macro-condition-video.hpp
          opencv-helpers.cpp
          opencv-helpers.hpp
          preview-dialog.cpp
          preview-dialog.hpp
          threshold-slider.cpp
          threshold-slider.hpp
          video-selection.cpp
          video-selection.hpp)

setup_advss_plugin(${PROJECT_NAME})
set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")

# --- OpenCV build settings ---

target_include_directories(${PROJECT_NAME} PRIVATE "${OpenCV_INCLUDE_DIRS}")
target_link_libraries(${PROJECT_NAME} PRIVATE ${OpenCV_LIBRARIES})

# --- End of section ---

install_advss_plugin(${PROJECT_NAME})
if(NOT OS_LINUX)
  install_advss_plugin_dependency(TARGET ${PROJECT_NAME} DEPENDENCIES
                                  ${OpenCV_LIBS})
endif()

=== debian/changelog ===
obs-advanced-scene-switcher (1.19.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Oct 2022 12:41:38 -0300

obs-advanced-scene-switcher (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1.
  * debian/control:
      - Added libcurl4 as dependency for obs-advanced-scene-switcher.
      - Bumped relationships from 25.0.3 to 26.1.2 for obs-studio and libobs
        to make them compliant with current OBS in Debian Stable release.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/source/lintian-overrides: updated an override to make it compliant
    with new lintian tags.
  * debian/rules: using new options to build the plugin.
  * debian/tests/control: updated the lib name.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Oct 2022 14:03:37 -0300

=== debian/control ===
Source: obs-advanced-scene-switcher
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasio-dev,
               libcurl4-openssl-dev,
               libobs-dev (>= 26.1.2),
               libopencv-dev,
               libprocps-dev,
               libxss-dev,
               libxtst-dev,
               libwebsocketpp-dev,
               qtbase5-dev
Standards-Version: 4.6.1
Homepage: https://obsproject.com/forum/resources/advanced-scene-switcher.395/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-scene-switcher
Vcs-Git: https://salsa.debian.org/debian/obs-advanced-scene-switcher.git

Package: obs-advanced-scene-switcher
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libcurl4,
         obs-advanced-scene-switcher-data (>= 1.16.3-1~),
         obs-studio (>= 26.1.2)
Enhances: obs-studio (>= 26.1.2)
Description: plugin for OBS Studio to improve the scene switching
 Advanced Scene Switcher plugin is based on the built-in Automatic Scene
 Switcher. It extends its functionality by adding the following:
 .
   - Audio based scene switching (Audio tab).
   - Media based scene switching (Media tab).
   - System time based scene switching (Time tab).
   - Sequence of automated scene switches (Scene Sequence tab).
   - Cursor position based scene switching (Region).
   - The option to switch to a scene after detection of being idle (Idle tab).
   - Executable based scene switching (Executable tab).
   - File content based scene switching (File).
   - Improvements for the window title based scene switching (full-screen /
     maximized detection, ignore windows).
   - The ability select a different transition for each automated switch case
     (Transitions tab).
   - Automatically pause the scene switcher based on scene or window title
     hotkey to start and stop the scene switcher.
   - Trigger actions on scene change.
   - and more ...

Package: obs-advanced-scene-switcher-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: obs-studio (>= 26.1.2)
Breaks: obs-advanced-scene-switcher (<< 1.16.1~)
Replaces: obs-advanced-scene-switcher (<< 1.16.1~)
Description: data package for obs-advanced-scene-switcher
 Advanced Scene Switcher plugin is based on the built-in
 Automatic Scene Switcher.
 .
 This package provides architecture-independent data for
 obs-advanced-scene-switcher.

## obs-advanced-scene-switcher 1.20.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -217,8 +217,6 @@
           src/macro-core/macro-condition-window.hpp
           src/macro-core/macro-condition.cpp
           src/macro-core/macro-condition.hpp
-          src/macro-core/macro-list-entry-widget.cpp
-          src/macro-core/macro-list-entry-widget.hpp
           src/macro-core/macro-properties.cpp
           src/macro-core/macro-properties.hpp
           src/macro-core/macro-ref.cpp
@@ -230,6 +228,8 @@
           src/macro-core/macro-selection.cpp
           src/macro-core/macro-selection.hpp
           src/macro-core/macro-tab.cpp
+          src/macro-core/macro-tree.cpp
+          src/macro-core/macro-tree.hpp
           src/macro-core/macro.cpp
           src/macro-core/macro.hpp)
 
@@ -262,21 +262,17 @@
           src/utils/screenshot-helper.hpp
           src/utils/section.cpp
           src/utils/section.hpp
+          src/utils/slider-spinbox.cpp
+          src/utils/slider-spinbox.hpp
+          src/utils/source-selection.cpp
+          src/utils/source-selection.hpp
           src/utils/transition-selection.cpp
           src/utils/transition-selection.hpp
           src/utils/utility.cpp
           src/utils/utility.hpp
           src/utils/variable.cpp
           src/utils/variable.hpp
+          src/utils/variable-text-edit.cpp
+          src/utils/variable-text-edit.hpp
           src/utils/volume-control.cpp
           src/utils/volume-control.hpp
-          src/utils/websocket-helpers.cpp
-          src/utils/websocket-helpers.hpp)
-
-# --- End of section ---
-
-if(BUILD_OUT_OF_TREE)
-  include(cmake/ObsPluginHelpers.cmake)
-endif()
-include(cmake/AdvSSHelpers.cmake)
-setup_obs_lib_dependency(${LIB_NAME})

=== src/macro-external/CMakeLists.txt ===
# Add macro conditions or actions which have dependencies to external libraries
# or other components which might potentially not be fulfilled.

#[[
To add a new plugin with external dependencies append a ...

add_subdirectory(<plugin_name>)

... call to the end of this file.

In the plugins cmake file call the helper functions ...

install_advss_plugin(<plugin_name>)
... and ...
install_advss_plugin_dependency(...)

... to install the plugin and its dependencies.
#]]

add_subdirectory(opencv)
add_subdirectory(openvr)

=== src/macro-external/opencv/CMakeLists.txt ===
--- 
+++ 
@@ -23,12 +23,10 @@
           macro-condition-video.hpp
           opencv-helpers.cpp
           opencv-helpers.hpp
+          paramerter-wrappers.cpp
+          paramerter-wrappers.hpp
           preview-dialog.cpp
-          preview-dialog.hpp
-          threshold-slider.cpp
-          threshold-slider.hpp
-          video-selection.cpp
-          video-selection.hpp)
+          preview-dialog.hpp)
 
 setup_advss_plugin(${PROJECT_NAME})
 set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")

=== debian/changelog ===
obs-advanced-scene-switcher (1.20.4-1) unstable; urgency=medium

  * New upstream version 1.20.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Feb 2023 07:22:43 -0300

obs-advanced-scene-switcher (1.20.3-1) unstable; urgency=medium

  * New upstream version 1.20.3.
  * debian/source/lintian-overrides: updated two overrides.
  * debian/upstream/metadata: added Screenshots field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Jan 2023 14:07:36 -0300

obs-advanced-scene-switcher (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/: removed all patches, currently applied to upstream source
    code.
  * debian/source/lintian-overrides: updated all overrides.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 21 Jan 2023 01:01:19 -0300

obs-advanced-scene-switcher (1.19.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2022 02:32:15 -0300

obs-advanced-scene-switcher (1.19.2-4) experimental; urgency=medium

  * debian/patches/020_fix-FTBFS-libxss.patch: created to fix unresolvable
    reference to symbol XScreenSaverQueryInfo.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 01 Dec 2022 19:39:23 -0300

obs-advanced-scene-switcher (1.19.2-3) experimental; urgency=medium

  * debian/control: re-added libprocps-dev as an alternative to libproc2-dev
    in Build-Depends field.
  * debian/copyright: converted the last paragraph of the GPL-2 in a comment.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Nov 2022 00:32:26 -0300

obs-advanced-scene-switcher (1.19.2-2) experimental; urgency=medium

  * debian/control: changed from libprocps-dev to libproc2-dev in Build-Depends
    field. (Closes: #1024223)
  * debian/patches/010_fix-ftbfs-procps.patch: created to fix a FTBFS with
    libproc2. (Closes: #1024223)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Nov 2022 23:30:29 -0300

obs-advanced-scene-switcher (1.19.2-1) unstable; urgency=medium

  * New upstream version 1.19.2.
  * debian/source/lintian-overrides: updated a line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 16 Nov 2022 16:18:54 -0300

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libcurl4-openssl-dev,
                libobs-dev (>= 26.1.2),
                libopencv-dev,
-               libprocps-dev,
+               libproc2-dev | libprocps-dev,
                libxss-dev,
                libxtst-dev,
                libwebsocketpp-dev,
                qtbase5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/advanced-scene-switcher.395/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-scene-switcher

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

# Using DEB_INSTALL, BUILD_OUT_OF_TREE will automatically be detected.
override_dh_auto_configure:
	dh_auto_configure -- -DDEB_INSTALL=ON \
                             -DLINUX_PORTABLE=OFF \
                             -DCMAKE_INSTALL_PREFIX=/usr \
                             -DLIBOBS_INCLUDE_DIR=/usr/include/obs \
                             -DLIBOBS_LIB=/usr/lib/${DEB_TARGET_MULTIARCH}/libobs.so \
                             -DLIBOBS_FRONTEND_INCLUDE_DIR=/usr/include/obs \
                             -DLIBOBS_FRONTEND_API_LIB=/usr/lib/${DEB_TARGET_MULTIARCH}/libobs-frontend-api.so \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/$(PLUGIN_NAME)

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls $(PLUGIN_DEST)/lib$(PLUGIN_NAME).so

=== debian/tests/control ===
Test-Command: DEB_TARGET_MULTIARCH=$(dpkg-architecture -qDEB_TARGET_MULTIARCH);
              PLUGIN_NAME=$(dpkg-parsechangelog -SSource | cut -d"-" -f2-);
              g++ -o $AUTOPKGTEST_TMP/load_lib debian/tests/load_lib.cc -ldl -Wall;
              $AUTOPKGTEST_TMP/load_lib /usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins/lib${PLUGIN_NAME}.so
Depends: @, g++
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/WarmUpTill/SceneSwitcher/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-advanced-scene-switcher 1.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,6 +113,8 @@
           src/macro-core/macro-action-plugin-state.hpp
           src/macro-core/macro-action-profile.cpp
           src/macro-core/macro-action-profile.hpp
+          src/macro-core/macro-action-projector.cpp
+          src/macro-core/macro-action-projector.hpp
           src/macro-core/macro-action-random.cpp
           src/macro-core/macro-action-random.hpp
           src/macro-core/macro-action-recording.cpp
@@ -274,5 +276,3 @@
           src/utils/variable.hpp
           src/utils/variable-text-edit.cpp
           src/utils/variable-text-edit.hpp
-          src/utils/volume-control.cpp
-          src/utils/volume-control.hpp

=== debian/changelog ===
obs-advanced-scene-switcher (1.20.5-1) unstable; urgency=medium

  * New upstream version 1.20.5.
  * debian/source/lintian-overrides: updated an override.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Feb 2023 07:15:09 -0300

## obs-advanced-scene-switcher 1.22.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,21 +42,20 @@
           src/general.cpp
           src/hotkey.cpp
           src/hotkey.hpp
-          src/hotkey.hpp
           src/platform-funcs.hpp
-          src/scene-group.cpp
-          src/scene-group.hpp
           src/status-control.cpp
           src/status-control.hpp
-          src/switcher-data-structs.cpp
-          src/switcher-data-structs.hpp
+          src/switcher-data.cpp
+          src/switcher-data.hpp
           src/version.cpp
           src/version.h)
 
 # Legacy function sources
 target_sources(
   ${LIB_NAME}
-  PRIVATE src/legacy/scene-trigger.cpp
+  PRIVATE src/legacy/scene-group.cpp
+          src/legacy/scene-group.hpp
+          src/legacy/scene-trigger.cpp
           src/legacy/scene-trigger.hpp
           src/legacy/switch-audio.cpp
           src/legacy/switch-audio.hpp
@@ -74,7 +73,6 @@
           src/legacy/switch-network.hpp
           src/legacy/switch-pause.cpp
           src/legacy/switch-pause.hpp
-          src/legacy/switch-priority.cpp
           src/legacy/switch-random.cpp
           src/legacy/switch-random.hpp
           src/legacy/switch-screen-region.cpp
@@ -109,6 +107,8 @@
           src/macro-core/macro-action-macro.hpp
           src/macro-core/macro-action-media.cpp
           src/macro-core/macro-action-media.hpp
+          src/macro-core/macro-action-osc.cpp
+          src/macro-core/macro-action-osc.hpp
           src/macro-core/macro-action-plugin-state.cpp
           src/macro-core/macro-action-plugin-state.hpp
           src/macro-core/macro-action-profile.cpp
@@ -165,6 +165,8 @@
           src/macro-core/macro-condition-cursor.hpp
           src/macro-core/macro-condition-date.cpp
           src/macro-core/macro-condition-date.hpp
+          src/macro-core/macro-condition-display.cpp
+          src/macro-core/macro-condition-display.hpp
           src/macro-core/macro-condition-edit.cpp
           src/macro-core/macro-condition-edit.hpp
           src/macro-core/macro-condition-file.cpp
@@ -191,6 +193,8 @@
           src/macro-core/macro-condition-recording.hpp
           src/macro-core/macro-condition-replay-buffer.cpp
           src/macro-core/macro-condition-replay-buffer.hpp
+          src/macro-core/macro-condition-run.cpp
+          src/macro-core/macro-condition-run.hpp
           src/macro-core/macro-condition-scene-order.cpp
           src/macro-core/macro-condition-scene-order.hpp
           src/macro-core/macro-condition-scene-transform.cpp
@@ -219,6 +223,8 @@
           src/macro-core/macro-condition-window.hpp
           src/macro-core/macro-condition.cpp
           src/macro-core/macro-condition.hpp
+          src/macro-core/macro-dock.cpp
+          src/macro-core/macro-dock.hpp
           src/macro-core/macro-properties.cpp
           src/macro-core/macro-properties.hpp
           src/macro-core/macro-ref.cpp
@@ -246,33 +252,25 @@
           src/utils/duration-control.hpp
           src/utils/item-selection-helpers.cpp
           src/utils/item-selection-helpers.hpp
+          src/utils/log-helper.hpp
           src/utils/file-selection.cpp
           src/utils/file-selection.hpp
+          src/utils/filter-selection.cpp
+          src/utils/filter-selection.hpp
           src/utils/macro-list.cpp
           src/utils/macro-list.hpp
+          src/utils/math-helpers.cpp
+          src/utils/math-helpers.hpp
+          src/utils/mouse-wheel-guard.cpp
+          src/utils/mouse-wheel-guard.hpp
           src/utils/name-dialog.cpp
           src/utils/name-dialog.hpp
-          src/utils/regex-config.cpp
-          src/utils/regex-config.hpp
-          src/utils/resizing-text-edit.cpp
-          src/utils/resizing-text-edit.hpp
-          src/utils/scene-item-selection.cpp
-          src/utils/scene-item-selection.hpp
-          src/utils/scene-selection.cpp
-          src/utils/scene-selection.hpp
-          src/utils/screenshot-helper.cpp
-          src/utils/screenshot-helper.hpp
-          src/utils/section.cpp
-          src/utils/section.hpp
-          src/utils/slider-spinbox.cpp
-          src/utils/slider-spinbox.hpp
-          src/utils/source-selection.cpp
-          src/utils/source-selection.hpp
-          src/utils/transition-selection.cpp
-          src/utils/transition-selection.hpp
-          src/utils/utility.cpp
-          src/utils/utility.hpp
-          src/utils/variable.cpp
-          src/utils/variable.hpp
-          src/utils/variable-text-edit.cpp
-          src/utils/variable-text-edit.hpp
+          src/utils/obs-dock.hpp
+          src/utils/obs-module-helper.cpp
+          src/utils/obs-module-helper.hpp
+          src/utils/osc-helpers.cpp
+          src/utils/osc-helpers.hpp
+          src/utils/priority-helper.cpp
+          src/utils/priority-helper.hpp
+          src/utils/process-config.cpp
+          src/utils/process-config.hpp

=== src/macro-external/CMakeLists.txt ===
--- 
+++ 
@@ -17,5 +17,6 @@
 ... to install the plugin and its dependencies.
 #]]
 
-add_subdirectory(opencv)
+add_subdirectory(midi)
 add_subdirectory(openvr)
+add_subdirectory(video)

=== src/macro-external/midi/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher-midi)

# --- Check libremidi requirements ---

get_target_property(ADVSS_SOURCE_DIR advanced-scene-switcher-lib SOURCE_DIR)
set(LIBREMIDI_DIR "${ADVSS_SOURCE_DIR}/deps/libremidi")
if(NOT EXISTS "${LIBREMIDI_DIR}")
  message(WARNING "libremidi directory \"${LIBREMIDI_DIR}\" not found!\n"
                  "MIDI support will be disabled!")
  return()
endif()
add_subdirectory("${LIBREMIDI_DIR}" "${LIBREMIDI_DIR}/build" EXCLUDE_FROM_ALL)

# --- End of section ---

add_library(${PROJECT_NAME} MODULE)

target_sources(
  ${PROJECT_NAME}
  PRIVATE macro-condition-midi.cpp macro-condition-midi.hpp
          macro-action-midi.cpp macro-action-midi.hpp midi-helpers.cpp
          midi-helpers.hpp)

setup_advss_plugin(${PROJECT_NAME})
set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
target_include_directories(${PROJECT_NAME} PRIVATE "${LIBREMIDI_DIR}/include")
target_link_libraries(${PROJECT_NAME} PRIVATE libremidi)
install_advss_plugin(${PROJECT_NAME})

=== debian/changelog ===
obs-advanced-scene-switcher (1.22.1-2) unstable; urgency=medium

  * debian/patches/020_disable-externals.patch: created to disable calls to
    external projects, avoiding a FTBFS.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 25 Jun 2023 14:04:35 -0300

obs-advanced-scene-switcher (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1.
  * debian/control: added obs-text-slideshow to Breaks field in
    obs-advanced-scene-switcher-data binary.
  * debian/copyright: added rights related to new upstream files
    deps/exprtk/exprtk.hpp and tests/catch.hpp.
  * debian/patches/010_fix-spelling.patch: created to fix spelling
    errors found in the final lib.
  * debian/source/lintian-overrides: removed because the overrides
    used here are outdated and they are irrelevant.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 24 Jun 2023 12:14:28 -0300

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Enhances: obs-studio (>= 26.1.2)
-Breaks: obs-advanced-scene-switcher (<< 1.16.1~)
+Breaks: obs-advanced-scene-switcher (<< 1.16.1~),
+        obs-text-slideshow (<= 1.5.2-3)
 Replaces: obs-advanced-scene-switcher (<< 1.16.1~)
 Description: data package for obs-advanced-scene-switcher
  Advanced Scene Switcher plugin is based on the built-in

## obs-advanced-scene-switcher 1.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -125,6 +125,8 @@
           src/macro-core/macro-action-run.hpp
           src/macro-core/macro-action-scene-collection.cpp
           src/macro-core/macro-action-scene-collection.hpp
+          src/macro-core/macro-action-scene-lock.cpp
+          src/macro-core/macro-action-scene-lock.hpp
           src/macro-core/macro-action-scene-order.cpp
           src/macro-core/macro-action-scene-order.hpp
           src/macro-core/macro-action-scene-switch.cpp
@@ -201,6 +203,8 @@
           src/macro-core/macro-condition-scene-transform.hpp
           src/macro-core/macro-condition-scene-visibility.cpp
           src/macro-core/macro-condition-scene-visibility.hpp
+          src/macro-core/macro-condition-slideshow.cpp
+          src/macro-core/macro-condition-slideshow.hpp
           src/macro-core/macro-condition-scene.cpp
           src/macro-core/macro-condition-scene.hpp
           src/macro-core/macro-condition-source.cpp
@@ -255,22 +259,15 @@
           src/utils/log-helper.hpp
           src/utils/file-selection.cpp
           src/utils/file-selection.hpp
+          src/utils/filter-combo-box.cpp
+          src/utils/filter-combo-box.hpp
           src/utils/filter-selection.cpp
           src/utils/filter-selection.hpp
+          src/utils/macro-export-import-dialog.cpp
+          src/utils/macro-export-import-dialog.hpp
           src/utils/macro-list.cpp
           src/utils/macro-list.hpp
+          src/utils/macro-segment-selection.cpp
+          src/utils/macro-segment-selection.hpp
           src/utils/math-helpers.cpp
           src/utils/math-helpers.hpp
-          src/utils/mouse-wheel-guard.cpp
-          src/utils/mouse-wheel-guard.hpp
-          src/utils/name-dialog.cpp
-          src/utils/name-dialog.hpp
-          src/utils/obs-dock.hpp
-          src/utils/obs-module-helper.cpp
-          src/utils/obs-module-helper.hpp
-          src/utils/osc-helpers.cpp
-          src/utils/osc-helpers.hpp
-          src/utils/priority-helper.cpp
-          src/utils/priority-helper.hpp
-          src/utils/process-config.cpp
-          src/utils/process-config.hpp

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher-tests)

get_target_property(ADVSS_SOURCE_DIR advanced-scene-switcher-lib SOURCE_DIR)
add_executable(${PROJECT_NAME})
target_compile_definitions(${PROJECT_NAME} PRIVATE UNIT_TEST)
target_compile_features(${PROJECT_NAME} PRIVATE cxx_std_17)
target_sources(${PROJECT_NAME}
               PRIVATE tests.cpp ${ADVSS_SOURCE_DIR}/src/utils/math-helpers.cpp)
target_include_directories(
  ${PROJECT_NAME}
  PRIVATE "${ADVSS_SOURCE_DIR}/src" "${ADVSS_SOURCE_DIR}/src/legacy"
          "${ADVSS_SOURCE_DIR}/src/macro-core" "${ADVSS_SOURCE_DIR}/src/utils"
          "${ADVSS_SOURCE_DIR}/forms" "${ADVSS_SOURCE_DIR}/deps/exprtk")
if(MSVC)
  target_compile_options(${PROJECT_NAME} PUBLIC /MP /d2FH4- /wd4267 /wd4267
                                                /bigobj)
endif()

enable_testing()

=== src/macro-external/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,17 @@
 ... to install the plugin and its dependencies.
 #]]
 
-add_subdirectory(midi)
-add_subdirectory(openvr)
-add_subdirectory(video)
+option(ENABLE_MIDI_PLUGIN "Enable the midi plugin" ON)
+if(ENABLE_MIDI_PLUGIN)
+  add_subdirectory(midi)
+endif()
+
+option(ENABLE_OPENVR_PLUGIN "Enable the openvr plugin" ON)
+if(ENABLE_OPENVR_PLUGIN)
+  add_subdirectory(openvr)
+endif()
+
+option(ENABLE_VIDEO_PLUGIN "Enable the video plugin" ON)
+if(ENABLE_VIDEO_PLUGIN)
+  add_subdirectory(video)
+endif()

=== src/macro-external/midi/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
   return()
 endif()
 add_subdirectory("${LIBREMIDI_DIR}" "${LIBREMIDI_DIR}/build" EXCLUDE_FROM_ALL)
+
+if(MSVC)
+  target_compile_options(libremidi PRIVATE /wd4251 /wd4267 /wd4275)
+endif(MSVC)
 
 # --- End of section ---

=== src/macro-external/openvr/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher-openvr)

# --- Check OpenCV requirements ---

if(NOT WIN32)
  message(
    WARNING "OpenVR condition is only supported on Windows builds for now.")
  return()
endif(NOT WIN32)

# --- End of section ---

add_library(${PROJECT_NAME} MODULE)
target_sources(${PROJECT_NAME} PRIVATE macro-condition-openvr.cpp
                                       macro-condition-openvr.hpp)

setup_advss_plugin(${PROJECT_NAME})
set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")

# --- OpenVR build settings ---

if(NOT OpenVR_DIR)
  set(OpenVR_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../deps/openvr)
endif()

if(EXISTS ${OpenVR_DIR})
  set(SIZEOF_VOIDP ${CMAKE_SIZEOF_VOID_P})
  if((NOT APPLE) AND (CMAKE_SIZEOF_VOID_P EQUAL 8))
    set(PROCESSOR_ARCH "64")
  else()
    set(PROCESSOR_ARCH "32")
  endif()
  if(WIN32)
    set(PLATFORM_NAME "win")
  elseif(UNIX AND NOT APPLE)
    if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
      set(PLATFORM_NAME "linux")
    endif()
  elseif(APPLE)
    if(CMAKE_SYSTEM_NAME MATCHES ".*Darwin.*" OR CMAKE_SYSTEM_NAME MATCHES
                                                 ".*MacOS.*")
      set(PLATFORM_NAME "osx")
    endif()
  endif()
  set(OpenVR_INCLUDE_DIRS ${OpenVR_DIR}/headers)
  set(OpenVR_BINARIES
      ${OpenVR_DIR}/bin/${PLATFORM_NAME}${PROCESSOR_ARCH}/${CMAKE_SHARED_LIBRARY_PREFIX}openvr_api${CMAKE_SHARED_LIBRARY_SUFFIX}
  )
  set(OpenVR_LIBRARIES
      ${OpenVR_DIR}/lib/${PLATFORM_NAME}${PROCESSOR_ARCH}/${CMAKE_SHARED_LIBRARY_PREFIX}openvr_api${CMAKE_IMPORT_LIBRARY_SUFFIX}
  )
  set(OpenVR_FOUND TRUE)
endif()

if(OpenVR_FOUND)
  target_include_directories(${PROJECT_NAME} PRIVATE "${OpenVR_INCLUDE_DIRS}")
else()
  set(OpenVR_LIBRARIES "")
  message(
    WARNING
      "OpenVR not found! Functionality relying on OpenVR will be disabled!\nOpenVR sources are available under: ${CMAKE_CURRENT_SOURCE_DIR}/deps/openvr"
      return
      ())
endif()

target_link_libraries(${PROJECT_NAME} PRIVATE ${OpenVR_LIBRARIES})

# --- End of section ---

install_advss_plugin(${PROJECT_NAME})
install_advss_plugin_dependency(TARGET ${PROJECT_NAME} DEPENDENCIES
                                ${OpenVR_BINARIES})

=== src/macro-external/video/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher-opencv)

# --- Check OpenCV requirements ---

find_package(OpenCV)
if(NOT OpenCV_FOUND)
  message(
    WARNING
      "OpenCV not found!\n"
      "Video condition will be disabled!\n\n"
      "OpenCV sources are available under: ${CMAKE_CURRENT_SOURCE_DIR}/../../../deps/opencv"
  )
  return()
endif()

# --- Check optional OCR dependencies ---

find_package(Leptonica)
find_package(Tesseract)

# --- End of section ---

add_library(${PROJECT_NAME} MODULE)

if(Leptonica_FOUND AND Tesseract_FOUND)
  target_compile_definitions(${PROJECT_NAME} PRIVATE OCR_SUPPORT)
  target_link_libraries(${PROJECT_NAME} PRIVATE Tesseract::libtesseract
                                                ${Leptonica_LIBRARIES})
  target_include_directories(${PROJECT_NAME} PRIVATE ${Tesseract_INCLUDE_DIRS}
                                                     ${Leptonica_INCLUDE_DIRS})
else()
  message(
    WARNING
      "OCR capabilities of video condition disabled!\n"
      "Leptonica or Tesseract dependencies were not found!\n\n"
      "Sources are available under: ${CMAKE_CURRENT_SOURCE_DIR}/../../../deps/")
endif()

target_sources(
  ${PROJECT_NAME}
  PRIVATE area-selection.cpp
          area-selection.hpp
          macro-condition-video.cpp
          macro-condition-video.hpp
          opencv-helpers.cpp
          opencv-helpers.hpp
          paramerter-wrappers.cpp
          paramerter-wrappers.hpp
          preview-dialog.cpp
          preview-dialog.hpp)

setup_advss_plugin(${PROJECT_NAME})
set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")

target_include_directories(${PROJECT_NAME} PRIVATE ${OpenCV_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} PRIVATE ${OpenCV_LIBRARIES})

install_advss_plugin(${PROJECT_NAME})
if(NOT OS_LINUX)
  install_advss_plugin_dependency(TARGET ${PROJECT_NAME} DEPENDENCIES
                                  ${OpenCV_LIBS})
endif()

=== debian/changelog ===
obs-advanced-scene-switcher (1.23.1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:45:28 +0000

obs-advanced-scene-switcher (1.23.1-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:17 +1100

obs-advanced-scene-switcher (1.23.1-2ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 10:35:32 +0100

obs-advanced-scene-switcher (1.23.1-2build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:48:18 +0000

obs-advanced-scene-switcher (1.23.1-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:05:26 +0000

obs-advanced-scene-switcher (1.23.1-2) unstable; urgency=medium

  * Fix a FTBFS in all archs if deps/libremidi is present and empty.
    Consequently:
      - debian/rules: added a workaround to remove deps/libremidi before to run
        dh_auto_configure.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 10 Sep 2023 22:48:13 -0300

obs-advanced-scene-switcher (1.23.1-1) unstable; urgency=medium

  * New upstream version 1.23.1.
  * debian/patches/:
      - 010_fix-spelling.patch: removed because the upstream applied this patch.
        Thanks!
      - 020_disable-externals.patch: removed because the upstream improved the
        source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Sep 2023 13:43:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: obs-advanced-scene-switcher
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasio-dev,
@@ -24,7 +25,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libcurl4,
+         ${lib:Depends},
          obs-advanced-scene-switcher-data (>= 1.16.3-1~),
          obs-studio (>= 26.1.2)
 Enhances: obs-studio (>= 26.1.2)
